System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> System.Collections.Generic.IList<T> System.Collections.IList System.Runtime.InteropServices.ComVisible(false) To be added.

The stores data in an container and provides an object that can be set and used to synchronize access to the collection so that it is thread safe. The container can be recovered using the property. The synchronized object can be recovered using the property. It can only be set using one of the constructors that take the parameter.

Provides a thread-safe, read-only collection that contains objects of a type specified by the generic parameter as elements.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  If multiple instances of the are created using the same , then access is protected across all instances.

  Initializes a new instance of the class with the object used to synchronize access to the thread-safe, read-only collection.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the thread-safe, read-only collection.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added.

  Returns an enumerator that iterates through the synchronized, read-only collection.

  An for objects of the type stored in the collection.

- Method
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.IList<T> To be added. To be added.

  Gets the list of elements contained in the thread-safe, read-only collection.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the collection to a specified array, starting at a particular index.

  The that is the destination for the elements copied from the collection. The zero-based index in the array at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  This property always returns true because the collection is thread safe.

- Property
  4.0.0.0
  System.Object To be added.

  The value of this object can be set when creating the thread-safe collection using the constructor.

  Gets the object used to synchronize access to the thread-safe, read-only collection.

- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the synchronized, read-only collection.

  Returns . An enumerator that iterates through the synchronized, read-only collection.

- Method
  4.0.0.0
  System.Int32 ``

  Items cannot be added to a read-only collection.

  Adds an element to the collection.

  Returns . The position into which the new element was inserted.

  The element to be added to the collection.
- Method
  4.0.0.0
  System.Void

  Items cannot be cleared from a read-only collection.

  Items cannot be cleared from a read-only collection.

- Method
  4.0.0.0
  System.Boolean ``

  Returns true if the element is found in the collection; otherwise false.

  Checks whether the specified object exists in the collection.

  Returns .

  True if the object is located in the collection; otherwise false.

  The object to locate in the collection.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Gets the index of the specified item.

  Returns .

  The zero-based index of the first occurrence of the in the collection.

  The element whose index is being retrieved.
- Method
  4.0.0.0
  System.Void `` ``

  Throws a if called.

  Items cannot be inserted into a read-only collection.

  The zero-based index at which is to be inserted. The object to insert into the collection.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  This property returns true because the read-only collection is always fixed in size.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  This property always returns true because the collection is read-only.

- Property
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void ``

  Throws a if called.

  Retrieves the specified element from the collection.

  The zero-based index of the element to be retrieved from the collection.
- Method
  4.0.0.0
  System.Void ``

  Throws a if called.

  Items cannot be removed from a read-only collection.

  The zero-based index of the element to be retrieved from the collection.